package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.SupplierEvaluactionOpinionComposite;

/**
 * @Description: 评（废）标意见
 * @author guoyr
 */
public class LoadEvaluationOpinionAction extends Action{
	@Override
	public void run() {
		ActionListener actionListener = this.getListener();
		actionListener.onLoad(this);
		actionListener = this.getListener();
		Composite composite = actionListener.getParentComposite();
		composite.setData("tenderProjectEntity", this.getData("tenderProjectEntity"));
		SupplierEvaluactionOpinionComposite evaluationComposite = new SupplierEvaluactionOpinionComposite(composite, SWT.NONE);
		actionListener.loadComposite(this, evaluationComposite);
	}
	
}
